PROBE::TCP.RECEIVE(3stap)

NAME
probe::tcp.receive - Called when a TCP packet is received

SYNOPSIS

tcp.receive

VALUES

daddr
    A string representing the destination IP address

saddr
    A string representing the source IP address

syn
    TCP SYN flag

protocol
    Packet protocol from driver

psh
    TCP PSH flag

iphdr
    IP header address

fin
    TCP FIN flag

urg
    TCP URG flag

ack
    TCP ACK flag

name
    Name of the probe point

family
    IP address family

dport
    TCP destination port

rst
    TCP RST flag

sport
    TCP source port

SEE ALSO
tapset::tcp(3stap)